RenderStep (Grails 3.2.7)
Date: 2017-03-06

Package: org.grails.cli.profile.steps

## [Groovy] Class RenderStep

- org.grails.cli.profile.steps.RenderStep

- A Step that renders a template

  Authors:
    Lari Hotari
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `NAME` |
    `static java.lang.String` | `TEMPLATES_DIR` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getName()`
    `boolean` | `handle(ExecutionContext context)`
    `protected java.lang.String` | `relativePath(java.io.File relbase, java.io.File file)`
    `protected void` | `renderToDestination(java.io.File destination, java.util.Map variables)`
    `protected java.util.List<java.lang.String>` | `resolveNameAndPackage(ExecutionContext context, java.lang.String nameAsArgument)`
    `protected Resource` | `searchTemplateDepthFirst(Profile profile, java.lang.String template)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractStep` | `flag`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String NAME

    - #### public static final java.lang.String TEMPLATES_DIR

  - ### Method Detail

    - #### @java.lang.Override @groovy.transform.CompileStatic java.lang.String getName()

    - #### @java.lang.Override boolean handle(ExecutionContext context)

    - #### protected java.lang.String relativePath(java.io.File relbase, java.io.File file)

    - #### protected void renderToDestination(java.io.File destination, java.util.Map variables)

    - #### protected java.util.List<java.lang.String> resolveNameAndPackage(ExecutionContext context, java.lang.String nameAsArgument)

    - #### protected Resource searchTemplateDepthFirst(Profile profile, java.lang.String template)